summaryrefslogtreecommitdiffstats
path: root/source/a/tcsh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/a/tcsh
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/a/tcsh')
-rw-r--r--source/a/tcsh/doinst.sh8
-rw-r--r--source/a/tcsh/slack-desc19
-rwxr-xr-xsource/a/tcsh/tcsh.SlackBuild91
-rw-r--r--source/a/tcsh/tcsh.nobuiltincolorls.diff11
4 files changed, 129 insertions, 0 deletions
diff --git a/source/a/tcsh/doinst.sh b/source/a/tcsh/doinst.sh
new file mode 100644
index 000000000..d351e5057
--- /dev/null
+++ b/source/a/tcsh/doinst.sh
@@ -0,0 +1,8 @@
+if fgrep tcsh etc/shells 1> /dev/null 2> /dev/null ; then
+ GOOD=y
+else
+ echo "/bin/tcsh" >> etc/shells
+ echo "/bin/csh" >> etc/shells
+fi
+( cd bin ; rm -rf csh )
+( cd bin ; ln -sf tcsh csh )
diff --git a/source/a/tcsh/slack-desc b/source/a/tcsh/slack-desc
new file mode 100644
index 000000000..623ad4580
--- /dev/null
+++ b/source/a/tcsh/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tcsh: tcsh (C shell)
+tcsh:
+tcsh: tcsh is an enhanced but completely compatible version of the Berkeley
+tcsh: UNIX C shell, csh(1). It is a command language interpreter usable both
+tcsh: as an interactive login shell and a shell script command processor. It
+tcsh: includes a command-line editor, programmable word completion, spelling
+tcsh: correction, a history mechanism, job control, and a C-like syntax.
+tcsh:
+tcsh:
+tcsh:
+tcsh:
diff --git a/source/a/tcsh/tcsh.SlackBuild b/source/a/tcsh/tcsh.SlackBuild
new file mode 100755
index 000000000..653964787
--- /dev/null
+++ b/source/a/tcsh/tcsh.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=6.15.00
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-tcsh
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf tcsh-$VERSION
+tar xjvf $CWD/tcsh-$VERSION.tar.bz2 || exit 1
+cd tcsh-$VERSION
+
+# The LS_COLORS variable shared by tcsh has new options in recent
+# versions of coreutils that cause tcsh to exit, so disable the
+# built-in color ls:
+zcat $CWD/tcsh.nobuiltincolorls.diff.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix= \
+ $ARCH-slackware-linux
+make -j4 || exit 1
+mkdir -p $PKG/etc
+mkdir -p $PKG/bin
+cat tcsh > $PKG/bin/tcsh
+chmod 755 $PKG/bin/tcsh
+mkdir -p $PKG/usr/man/man1
+cat tcsh.man | gzip -9c > $PKG/usr/man/man1/tcsh.1.gz
+echo '.so man1/tcsh.1' | gzip -9c > $PKG/usr/man/man1/csh.1.gz
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+mkdir -p $PKG/usr/doc/tcsh-$VERSION
+cp -a \
+ BUGS FAQ Fixes NewThings Ported README README.imake WishList Y2K \
+ $PKG/usr/doc/tcsh-$VERSION
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/tcsh-$VERSION-$ARCH-$BUILD.txz
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/tcsh-${VERSION}
+ rm -rf $PKG
+fi
diff --git a/source/a/tcsh/tcsh.nobuiltincolorls.diff b/source/a/tcsh/tcsh.nobuiltincolorls.diff
new file mode 100644
index 000000000..2fd1c2896
--- /dev/null
+++ b/source/a/tcsh/tcsh.nobuiltincolorls.diff
@@ -0,0 +1,11 @@
+--- ./config_f.h.orig 2005-03-04 07:46:04.000000000 -0600
++++ ./config_f.h 2006-02-09 14:30:59.000000000 -0600
+@@ -174,7 +174,7 @@
+ * COLOR_LS_F Do you want to use builtin color ls-F ?
+ *
+ */
+-#define COLOR_LS_F
++#undef COLOR_LS_F
+
+ /*
+ * COLORCAT Do you want to colorful message ?